# Summary

* [Content](CONTENT.md)
* [1. Installation of the software prerequisites with conda](CONDAENV.md)
* [2. Input data (SRA/ENA)](INPUTDATA.md)
* [3. Read QC (FastQC)](QC.md)
* [4. Adapter and quality trimming (Trimmomatic)](TRIMMING.md)
* [5. Removal of ribosomal-RNA (SortMeRNA)](REMOVERIBO.md)
* [6. Read mapping-based (HISAT2)](HISAT2.md#6-read-mapping-based-hisat2)
    * [i. Creation of reference genome index](HISAT2.md#creation-of-reference-genome-index)
    * [ii. Read mapping against the reference genome](HISAT2.md#read-mapping-against-the-reference-genome)
    * [iii. Sort and indexing alignments (samtools)](HISAT2.md#sort-and-indexing-alignments-samtools)
* [7. Read mapping-based (STAR)](STAR.md)
    * [i. Creation of reference genome index](STAR.md#creation-of-reference-genome-index)
    * [ii. Read mapping against the reference genome](STAR.md#mapping)
    * [iii. Sort and indexing alignments (samtools)](STAR.md#sort)
* [8. Transcriptome assembly (StringTie)](STRINGTIE.md)
    * [i. HISAT2](STRINGTIE.md#hisat2)
    * [ii. STAR](STRINGTIE.md#star)
* [9. Quantification (StringTie/featureCounts)](QUANTCOUNTS.md)
    * [i. StringTie](QUANTCOUNTS.md#stringtie)
    * [ii. FeatureCounts](QUANTCOUNTS.md#featurecounts)
* [10. Read mapping-like (salmon)](SALMON.md#10-read-mapping-like-salmon)
    * [i. Creation of decoy-aware transcriptome index](SALMON.md#creation-of-decoy-aware-transcriptome-index)
    * [i. Read quantification](SALMON.md#read-quantification)
* [11. Read mapping-like (kallisto)](KALLISTO.md#11-read-mapping-like-kallisto)
    * [i. Creation of decoy-aware transcriptome index](KALLISTO.md#creation-of-decoy-aware-transcriptome-index)
    * [i. Read quantification](KALLISTO.md#read-quantification)
* [12. Count table import into R (tximport)](TXIMPORT.md)
* [13. Detection of DEGs (DESeq2)](DESEQ2.md)
* [14. Detection of DEGs (edgeR)](EDGER.md)
* [15. Detection of DEGs (limma-voom)](LIMMA.md)
* [16. Software Tools](SOFTWARE.md)
* [17. References](LITERATURE.md)
